mail::ACCOUNT::getFolderKeywordInfo
Prev | mail::ACCOUNT Synchronous API reference | Next

## Name

mail::ACCOUNT::getFolderKeywordInfo — Return message keywords

## Synopsis

#include <libmail/sync.H>
mail::ACCOUNT *mail;

`bool ok=mail->fsfuncgetFolderKeywordInfo(` | size_t messageNum,
| std::set<std::string> &keywords`)`;

## USAGE

`mail::ACCOUNT::getFolderKeywordInfo` retrieves the current keywords for message #`messagenum` and places them into `keywords` (removing any existing contents). If the message does not have any keywords set, `keywords` will be an empty set. `messageNum` must be between zero and one less than the return code from mail::ACCOUNT::getFolderIndexSize(3x).

## Return Codes

This function returns immediately.

## SEE ALSO

mail::ACCOUNT::getFolderIndexSize(3x), mail::ACCOUNT::getFolderIndexInfo(3x), mail::ACCOUNT::updateKeywords(3x).

Prev | Up | Next
mail::ACCOUNT::getFolderFromString | Home | ToC | mail::ACCOUNT::getMessageContent